---
- name: Reload systemd
  ansible.builtin.systemd:
    daemon_reload: true

- name: Generate config secrets
  become_user: git
  ansible.builtin.command:
    cmd: /usr/local/bin/gitea --config /etc/gitea/app.ini generate secret {{ item }}
  with_items:
    - JWT_SECRET
    - INTERNAL_TOKEN
    - SECRET_KEY
  changed_when: true
  no_log: true

- name: Restart gitea
  ansible.builtin.systemd_service:
    name: gitea
    state: restarted
    enabled: true

- name: Wait database to unlock
  ansible.builtin.pause:
    seconds: 15
